
/*
Измерение освещенности на Ардуино

Пины подключения дисплея 5110
 pin 7 - Serial clock out (SCLK)
 pin 6 - Serial data out (DIN)
 pin 5 - Data/Command select (D/C)
 pin 4 - LCD chip select (CS)(CE)
 pin 3 - LCD reset (RST)
*/
/* ----------- Подключаем библиотеки ----------*/
//Библиотеки для работы с дисплеем Nokia 5110
#include <Adafruit_GFX.h>
#include <Adafruit_PCD8544.h>
/* ----------Раздел описания пинов---------- */
//Пин для подключения фоторезистора
const int LxPin = A0;
//Пины подключения дисплея
Adafruit_PCD8544 display = Adafruit_PCD8544(7, 6, 5, 4, 3);
/* ----------Раздел описания переменных---------- */
//Переменные для работы с п.п фоторезистора
unsigned short adc_value = 0;
double volt, resistor,lx;
void setup() {

  display.begin(); //Старт дисплея
  delay(2000);
  display.clearDisplay();
}

void loop() {
    display.setTextSize(1);
  display.setTextColor(BLACK);
  display.setCursor(0,0);
  
    display.print("Lx=");
  display.println(((int)LxOutput()));
  display.display();
  delay(400);
  display.clearDisplay();
 

}
float LxOutput()  {
  adc_value = analogRead(LxPin); 
  volt = 5.0*(adc_value/1024.0);
  resistor = (10.0*5.0)/volt-10.0;
  lx = 223.35*pow(resistor,-10/8);
  return lx;
}
